# -*-python-*-
# $Id: measurements.py,v 1.6 2006/04/06 05:22:08 asc Exp $

__package__    = "erdfg"
__version__    = "0.5"
__author__     = "Aaron Straup Cope"
__url__        = "http://www.aaronland.info/python/erdfg/"
__cvsversion__ = "$Revision: 1.6 $"
__date__       = "$Date: 2006/04/06 05:22:08 $"
__copyright__  = "Copyright (c) 2006 Aaron Straup Cope. Perl Artistic License."

METRIC_UNITS  = ('gram', 'kilogram', 'litre', 'milligram', 'millilitre')
METRIC_ABBREV = {'gr':'gram', 'kg':'kilogram', 'l':'litre', 'mg':'milligram', 'ml':'millilitre'}

USIMP_UNITS  = ('cup', 'gallon', 'ounce', 'pint', 'pound', 'quart', 'tablespoon', 'Tbsp', 'teaspoon')
USIMP_ABBREV = {'oz':'ounce', 'Tbsp':'tablespoon', 'tsp':'teaspoon'}
