# -*-python-*-
# $Id: writer.py,v 1.10 2006/04/06 05:22:08 asc Exp $

__package__    = "erdfg"
__version__    = "0.5"
__author__     = "Aaron Straup Cope"
__url__        = "http://www.aaronland.info/python/erdfg/"
__cvsversion__ = "$Revision: 1.10 $"
__date__       = "$Date: 2006/04/06 05:22:08 $"
__copyright__  = "Copyright (c) 2006 Aaron Straup Cope. Perl Artistic License."

from sys import stdout
from erdfg.parser import parser

class writer (parser) :

    def __init__ (self, recipe, **kwargs) :
        parser.__init__ (self, recipe, **kwargs)

    #
    #
    #
    
    def text (self, fh=stdout) :
        T = self.importer('erdfg.generator.textgenerator')
        t = T.textgenerator(self.collect_data())
        t.write(fh)

    #
    #
    #
    
    def xml (self, fh=stdout, format="edfg11") :
        X = self.importer('erdfg.generator.xmlgenerator')
        x = X.xmlgenerator(self.collect_data())
        x.write(fh)

    #
    #
    #
    
    def collect_data(self, label=None) :
        return self.dump()
    
        if label==None :
            return self.dump()
        else :
            return self.dump_core()

    #
    #
    #
    
    def importer (self, name):
        mod = __import__(name)
        components = name.split('.')
        for comp in components[1:]:
            mod = getattr(mod, comp)
        return mod

if __name__ == "__main__" :
    print "writer.py"
